Skip to main content
GET
Get all counterparts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Query Parameters

iban
string

The IBAN of the counterpart's bank account.

Maximum string length: 34
sort_code
string

The bank's sort code.

Maximum string length: 100
account_number
string

The bank account number. Required for US bank accounts to accept ACH payments. US account numbers contain 9 to 12 digits. UK account numbers typically contain 8 digits.

Maximum string length: 100
tax_id
string

The tax ID of the counterpart.

Maximum string length: 30
vat_id
string

The VAT ID of the counterpart.

Maximum string length: 30
id__in
string<uuid>[]

A list of counterpart IDs to search through.

order
enum<string>
default:asc

Sort order (ascending by default). Typically used together with the sort parameter.

Available options:
asc,
desc
limit
integer
default:100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

Required range: 1 <= x <= 100
pagination_token
string

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sort
enum<string>

The field to sort the results by. Typically used together with the order parameter.

Available options:
counterpart_name
type
enum<string>
Available options:
individual,
organization
counterpart_name
string
counterpart_name__iexact
string
counterpart_name__contains
string
counterpart_name__icontains
string
is_vendor
boolean
is_customer
boolean
email
string
created_at__gt
string<date-time>
created_at__lt
string<date-time>
created_at__gte
string<date-time>
created_at__lte
string<date-time>
address.country
string
address.city
string
address.postal_code
string
address.state
string
address.line1
string
address.line2
string
tag_ids__in
string<uuid>[]

Response

Successful Response

A paginated list of counterparts

data
object[]
required

A Counterpart object contains information about an organization (juridical person) or individual (natural person) that provides goods and services to or buys them from an SME.

next_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you've reached the last page).

prev_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you've reached the first page).